Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.tools.datastore
Class DDLGenerator.TableDefinition

    java.lang.Object
      org.deegree.tools.datastore.DDLGenerator.TableDefinition

Enclosing class:
  DDLGenerator

     class DDLGenerator.TableDefinition

extends Object

Field Summary
`(package private) String` | `tableName`

Constructor Summary
`DDLGenerator.TableDefinition(String tableName, int type)`

Method Summary
`(package private) void` | `addColumn(DDLGenerator.ColumnDefinition column)`
`(package private) void` | `addColumns(Collection<DDLGenerator.ColumnDefinition> columns)`
`(package private) DDLGenerator.ColumnDefinition` | `getColumn(String name)`
`(package private) DDLGenerator.ColumnDefinition[]` | `getColumns()`
`(package private) String` | `getName()`
`(package private) DDLGenerator.ColumnDefinition[]` | `getPKColumns()`
`(package private) int` | `getType()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### tableName

    String tableName

Constructor Detail

### DDLGenerator.TableDefinition

    DDLGenerator.TableDefinition(String tableName,
                                 int type)

Method Detail

### getName

    String getName()

### getType

    int getType()

### getColumns

    DDLGenerator.ColumnDefinition[] getColumns()

### getPKColumns

    DDLGenerator.ColumnDefinition[] getPKColumns()

### getColumn

    DDLGenerator.ColumnDefinition getColumn(String name)

### addColumn

    void addColumn(DDLGenerator.ColumnDefinition column)

### addColumns

    void addColumns(Collection<DDLGenerator.ColumnDefinition> columns)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org